---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Layout2d Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classtgui_1_1Layout2d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Layout2d Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to store the position or size of a widget.  
 <a href="classtgui_1_1Layout2d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Layout_8hpp_source.html">Layout.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afeab25197fcc111d22445684ad4b49f1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#afeab25197fcc111d22445684ad4b49f1">Layout2d</a> (sf::Vector2f constant={0, 0})</td></tr>
<tr class="memdesc:afeab25197fcc111d22445684ad4b49f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor to implicitly construct from an sf::Vector2f.  <a href="#afeab25197fcc111d22445684ad4b49f1">More...</a><br /></td></tr>
<tr class="separator:afeab25197fcc111d22445684ad4b49f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30ea485d2c7a31116865bc8f761c513a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a30ea485d2c7a31116865bc8f761c513a">Layout2d</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> layoutX, <a class="el" href="classtgui_1_1Layout.html">Layout</a> layoutY)</td></tr>
<tr class="memdesc:a30ea485d2c7a31116865bc8f761c513a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor to create the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> from two <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> classes.  <a href="#a30ea485d2c7a31116865bc8f761c513a">More...</a><br /></td></tr>
<tr class="separator:a30ea485d2c7a31116865bc8f761c513a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77ce2a591646e6b11ec33211cbf8309e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a77ce2a591646e6b11ec33211cbf8309e">Layout2d</a> (const char *expression)</td></tr>
<tr class="memdesc:a77ce2a591646e6b11ec33211cbf8309e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct the layout based on a string which will be parsed to determine the value of the layout.  <a href="#a77ce2a591646e6b11ec33211cbf8309e">More...</a><br /></td></tr>
<tr class="separator:a77ce2a591646e6b11ec33211cbf8309e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add50cdca9df07f76028cc7cb3da62166"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#add50cdca9df07f76028cc7cb3da62166">Layout2d</a> (const std::string &amp;expression)</td></tr>
<tr class="memdesc:add50cdca9df07f76028cc7cb3da62166"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs the layout based on a string which will be parsed to determine the value of the layout.  <a href="#add50cdca9df07f76028cc7cb3da62166">More...</a><br /></td></tr>
<tr class="separator:add50cdca9df07f76028cc7cb3da62166"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accab320961b888cc1dee3f15b68abbc9"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#accab320961b888cc1dee3f15b68abbc9">getValue</a> () const </td></tr>
<tr class="memdesc:accab320961b888cc1dee3f15b68abbc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the cached value of the layout.  <a href="#accab320961b888cc1dee3f15b68abbc9">More...</a><br /></td></tr>
<tr class="separator:accab320961b888cc1dee3f15b68abbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a304bd1d8a8d90e09ede005821e65ee7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a304bd1d8a8d90e09ede005821e65ee7f"></a>
<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a304bd1d8a8d90e09ede005821e65ee7f">operator+</a> ()</td></tr>
<tr class="memdesc:a304bd1d8a8d90e09ede005821e65ee7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unary plus operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class. <br /></td></tr>
<tr class="separator:a304bd1d8a8d90e09ede005821e65ee7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b7b43e60b7342372ca3a17f614dfd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16b7b43e60b7342372ca3a17f614dfd2"></a>
<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a16b7b43e60b7342372ca3a17f614dfd2">operator-</a> ()</td></tr>
<tr class="memdesc:a16b7b43e60b7342372ca3a17f614dfd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unary minus operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class. <br /></td></tr>
<tr class="separator:a16b7b43e60b7342372ca3a17f614dfd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5aee1edde08521cf6bb8d5e7ad07a65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5aee1edde08521cf6bb8d5e7ad07a65"></a>
<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#af5aee1edde08521cf6bb8d5e7ad07a65">operator+=</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> right)</td></tr>
<tr class="memdesc:af5aee1edde08521cf6bb8d5e7ad07a65"><td class="mdescLeft">&#160;</td><td class="mdescRight">+= operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:af5aee1edde08521cf6bb8d5e7ad07a65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84858ff0f97e4e6444db5125f1872313"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84858ff0f97e4e6444db5125f1872313"></a>
<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a84858ff0f97e4e6444db5125f1872313">operator-=</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> right)</td></tr>
<tr class="memdesc:a84858ff0f97e4e6444db5125f1872313"><td class="mdescLeft">&#160;</td><td class="mdescRight">-= operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:a84858ff0f97e4e6444db5125f1872313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b2f29fc9a565ded9f3c70d7db3bb0d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b2f29fc9a565ded9f3c70d7db3bb0d5"></a>
<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a0b2f29fc9a565ded9f3c70d7db3bb0d5">operator*=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a0b2f29fc9a565ded9f3c70d7db3bb0d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">*= operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:a0b2f29fc9a565ded9f3c70d7db3bb0d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a334a00a9149df52a3701e5a0b06644ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a334a00a9149df52a3701e5a0b06644ec"></a>
<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a334a00a9149df52a3701e5a0b06644ec">operator/=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a334a00a9149df52a3701e5a0b06644ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">/= operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:a334a00a9149df52a3701e5a0b06644ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21b2577ec8ea24d66125190a4faa6483"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21b2577ec8ea24d66125190a4faa6483"></a>
<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a21b2577ec8ea24d66125190a4faa6483">operator%=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a21b2577ec8ea24d66125190a4faa6483"><td class="mdescLeft">&#160;</td><td class="mdescRight">%= operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class (floating point modulo) <br /></td></tr>
<tr class="separator:a21b2577ec8ea24d66125190a4faa6483"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac796bef9868b040cf29d52cfdc91272a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac796bef9868b040cf29d52cfdc91272a"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#ac796bef9868b040cf29d52cfdc91272a">x</a></td></tr>
<tr class="memdesc:ac796bef9868b040cf29d52cfdc91272a"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> to store the x component. <br /></td></tr>
<tr class="separator:ac796bef9868b040cf29d52cfdc91272a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a688431f265d7bfc45bf6272ffcef7e75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a688431f265d7bfc45bf6272ffcef7e75"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html#a688431f265d7bfc45bf6272ffcef7e75">y</a></td></tr>
<tr class="memdesc:a688431f265d7bfc45bf6272ffcef7e75"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> to store the y component. <br /></td></tr>
<tr class="separator:a688431f265d7bfc45bf6272ffcef7e75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to store the position or size of a widget. </p>
<p>You don't have to create an instance of this class, sf::Vector2f is implicitly converted to this class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="afeab25197fcc111d22445684ad4b49f1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout2d::Layout2d </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>constant</em> = <code>{0,&#160;0}</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default constructor to implicitly construct from an sf::Vector2f. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">constant</td><td>Value of the layout </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a30ea485d2c7a31116865bc8f761c513a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout2d::Layout2d </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td>
          <td class="paramname"><em>layoutX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td>
          <td class="paramname"><em>layoutY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor to create the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> from two <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> classes. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">layoutX</td><td>x component </td></tr>
    <tr><td class="paramname">layoutY</td><td>y component </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a77ce2a591646e6b11ec33211cbf8309e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout2d::Layout2d </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>expression</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct the layout based on a string which will be parsed to determine the value of the layout. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>String to parse </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="add50cdca9df07f76028cc7cb3da62166"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout2d::Layout2d </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>expression</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructs the layout based on a string which will be parsed to determine the value of the layout. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>String to parse </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="accab320961b888cc1dee3f15b68abbc9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f tgui::Layout2d::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the cached value of the layout. </p>
<dl class="section return"><dt>Returns</dt><dd>Value of the layout </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Layout_8hpp_source.html">Layout.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
